---
category: [Administration & Integrations, Administration & Integrations/Workday API, Platform and Product Extensions, Platform and Product Extensions/Integration]
nav: wcp_docs
parent_url: /wcp_docs/
title: >- 
  Reference: Workers/Inbox Tasks
layout: subsection
---

## <a id="conref_common_service_urlBasePath"></a>URL Base Path

<b>Workday API Gateway Base Path</b>

For REST API calls in Workday Extend and Orchestrate for Integrations, use the regional API Gateway base URL for your account. See [Reference: Workday Extend API Gateways and Authorization Base URLs](https://developer.workday.com/documentation/dlh1653340161856) on the Developer Site. Note that the API Gateway base URL doesn’t include the tenant name.

<b>Tenant Base Path</b>

For traditional Integrations using tenanted REST APIs calls:

```
https://<hostname>/api/common/<version>/<tenant>
```

Example:

```
https://yourTenantHostName.com/api/common/v1/gms
```

## <a id="refsyn_N10019_N10016_N10001"></a>URI

Collection of tasks in <b>My Tasks</b> for the current user:

```
/workers/{id}/inboxTasks
```

<b>URI Parameters</b>

<table><thead><tr><th>URI Parameter</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>Reference to the current user. Example: Worker WID. In place of the ID, you can use the word me to represent the current user.</td></tr></tbody></table><br/>

## <a id="section_N10060_N10016_N10001"></a>Description

The Workers/Inbox Tasks resource represents tasks in <b>My Tasks</b> for the current user. You cannot access tasks in <b>My Tasks</b> for another user. The current user is the user who was granted the authorization token.

For tasks in <b>My Tasks</b> that are of stepType Approval, the current user can approve or deny the tasks using the Inbox Tasks resource.

The Workers/Inbox Tasks resource supports this method:

-   [GET Worker/Inbox Tasks](/wcp_docs/dan1370797988600.html#GET)


## <a id="GET"></a>GET Worker/Inbox Tasks

-   <b>Secured by:</b>

    Core Navigation



No request body required or available for this method. When retrieving a collection, use these optional query parameters to page the results:

<table><thead><tr><th>Query Parameter</th><th>Description</th><th>Default</th><th>Maximum</th></tr></thead><tbody><tr><td>limit</td><td>Limit of object data entries included in a single response.</td><td>20</td><td>100</td></tr><tr><td>offset</td><td>Offset to the first object in a collection to include in the response.</td><td>0</td><td> </td></tr></tbody></table><br/>

The response body is in JSON format.

## <a id="section_N1010A_N10016_N10001"></a>GET Workers/Inbox Tasks Examples

This GET request retrieves a collection of the tasks in <b>My Tasks</b> of the current user:

```
GET /workers/me/inboxTasks
```

The response is a collection of tasks in <b>My Tasks</b>, in JSON format (there is 1 task in the response):

```
{
  "total": 1,
  "data": [   {
     "descriptor": "Approval by Manager",
     "id": "90ef2b58c8e3cf15b879a848aed69219",
     "href": "https://{Workday REST API Endpoint}/inboxTasks/90ef2b58c8e3cf15b879a848aed69219",
     "subject":       {
        "descriptor": "Betty Liu",
        "id": "3bcc416214054db6911612ef25d51e9f",
        "href": "https://{Workday REST API Endpoint}/workers/3bcc416214054db6911612ef25d51e9f"
     },
     "overallProcess":       {
        "descriptor": "Time Off Request: Betty Liu",
        "id": "dc930ab57b114b6694edf9eb92621281",
        "href": "https://{Workday REST API Endpoint}/businessProcesses/dc930ab57b114b6694edf9eb92621281"
     },
     "status":       {
        "descriptor": "Awaiting Action",
        "id": "d9e4108c446c11de98360015c5e6daf6"
     },
     "stepType":       {
        "descriptor": "Approval",
        "id": "d8c8920e446c11de98360015c5e6daf6"
     },
     "assigned": "2013-02-26T19:06:57.493Z",
     "due": "2013-02-28"
  }]
}
     
```

### Related Information

[Reference: Workers/Inbox Tasks](/wcp_docs/dan1370797988600.html)

